nand_scan_ident
Prev | Chapter 10. Public Functions Provided | Next

## Name

nand_scan_ident — [NAND Interface] Scan for the NAND device

## Synopsis

`int nand_scan_ident (` | struct mtd_info * | mtd,
| int | maxchips`)`;

## Arguments

`mtd`

  MTD device structure

`maxchips`

  Number of chips to scan for

## Description

This is the first phase of the normal `nand_scan` function. It reads the flash ID and sets up MTD fields accordingly.

The mtd->owner field must be set to the module of the caller.

Prev | Up | Next
Chapter 10. Public Functions Provided | Home | nand_scan_tail